int main(void)
{
    /* Builtin functions */
    double exp(double);

    /* Local variables */
    extern int de50r_c(int *, float *, float *, float *, float *, float *,
                       float *, float *, float *, int *, float *, int *,
                       float *, float *, int *);
    static int imax, ierr;
    static float f[200], g[200], h__;
    static int i__, n;
    static float r__[200], x, y[200], delty[200], ck[3], cn[3];
    static int ik;
    static float xk, xn;
    static int nx;
    static float yr[200], yx[200], rab[1600], eps;
    int i__1;
    float r__1, r__2;

    xn = -1.f;
    xk = 1.f;
    nx = 200;
    cn[0] = 1.f;
    cn[1] = -2.f;
    cn[2] = 0.f;
    ck[0] = 1.f;
    ck[1] = 2.f;
    ck[2] = 0.f;
    imax = 4;
    eps = 1e-5f;
    n = nx - 1;
    h__ = (xk - xn) / n;
    x = xn - h__;
    i__1 = nx;
    for (i__ = 1; i__ <= i__1; ++i__) {
        x += h__;
/* Computing 2nd power */
        r__1 = x;
        f[i__ - 1] = r__1 * r__1;
        g[i__ - 1] = x;
/* Computing 2nd power */
        r__1 = x;
/* Computing 2nd power */
        r__2 = x;
        r__[i__ - 1] = (float)exp(-(r__1 * r__1)) * 10.f *
               (r__2 * r__2 * 2.f - 1.f) * (2.f - x);
/* L1: */
    }
    de50r_c(&nx, &xn, &xk, cn, ck, f, g, r__, &eps, &imax, yx, &ik, delty,
            rab, &ierr);

    printf("\n %5i \n", ik);
    x = xn - h__;
    i__1 = nx;
    for (i__ = 1; i__ <= i__1; ++i__) {
        x += h__;
/* Computing 2nd power */
        r__1 = x;
        y[i__ - 1] = (float)exp(-(r__1 * r__1)) * 10.f;
        yr[i__ - 1] = yx[i__ - 1] - y[i__ - 1];

        printf("\n %16.7e %16.7e %16.7e %16.7e \n",
               x, yx[i__-1], y[i__-1], yr[i__-1]);
/* L2: */
    }
    return 0;
} /* main */
